Subject: bug#16016: closed (Re: bug#16016: 23.4; append-next-kill)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Dec 2013 02:46:03 +0000

Your bug report

#16016: 23.4; append-next-kill

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16016: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16016
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16016: 23.4; append-next-kill
From: Chong Yidong <[email-masked]>
To: Jorgen Harmse <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Dec 2013 10:45:20 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Jorgen Harmse <[email-masked]> writes:

> Contrary to its name and all the documentation I have read,
> append-next-kill sometimes causes the next kill to be prepended.
> Example
> (in emacs -Q): Type "foo bar", then C-a M-d C- C-e C-M-w C-w C-y. The
> yank produces " barfoo". This command would be much more useful if I
> understood when the next kill appends and when it prepends.

I have changed the docstring and the manual to make this clearer.  The
name is probably not worth changing.

Thanks.

Subject: 23.4; append-next-kill
From: Jorgen Harmse <[email-masked]>
To: [email-masked]
Date: Sat, 30 Nov 2013 16:00:31 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Contrary to its name and all the documentation I have read,
append-next-kill sometimes causes the next kill to be prepended. Example
(in emacs -Q): Type "foo bar", then C-a M-d C- C-e C-M-w C-w C-y. The
yank produces " barfoo". This command would be much more useful if I
understood when the next kill appends and when it prepends.

Jorgen Harmse | Data Scientist
Civitas Learning, Inc.
[email-masked]
main: 512.215.9628 | cell: 512.633.2226